Bug 1420608 - CVE-2017-3135 bind99: bind: Assertion failure when using DNS64 and RPZ Can Lead to Crash [fedora-all]
Summary: CVE-2017-3135 bind99: bind: Assertion failure when using DNS64 and RPZ Can Le...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bind99
Version: 25
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Menšík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2017-3135
TreeView+ depends on / blocked
 
Reported: 2017-02-09 04:39 UTC by Huzaifa S. Sidhpurwala
Modified: 2017-03-05 20:50 UTC (History)
6 users (show)

Fixed In Version: bind99-9.9.9-4.P6.fc25 bind99-9.9.9-4.P6.fc24
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-05 02:51:09 UTC
Type: ---


Attachments (Terms of Use)

Description Huzaifa S. Sidhpurwala 2017-02-09 04:39:19 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Huzaifa S. Sidhpurwala 2017-02-09 04:39:30 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1420193,1420608

# Description of your update
notes=Security fix for CVE-2017-3135

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Petr Menšík 2017-02-10 09:39:39 UTC
I do not think bind99 package is affected by this CVE. ISC RT#44434 fixes only RPZ and DNS64 in named. This version is affected, but we include named only in srpm and do not distribute it in any binary package. Only libraries used by dhcp are distributed and they are not changed by CVE fix.

It may be worth because ISC RT#44318 fixes regression from CVE-2016-8864, that is in resolver and dns library is fixed by it. It may make more sense classify this bug as bugfix for this reason, as there is no new security fix.

Should I change type of update?

Comment 3 Huzaifa S. Sidhpurwala 2017-03-01 05:55:31 UTC
(In reply to Petr Menšík from comment #2)
> I do not think bind99 package is affected by this CVE. ISC RT#44434 fixes
> only RPZ and DNS64 in named. This version is affected, but we include named
> only in srpm and do not distribute it in any binary package. Only libraries
> used by dhcp are distributed and they are not changed by CVE fix.
> 
> It may be worth because ISC RT#44318 fixes regression from CVE-2016-8864,
> that is in resolver and dns library is fixed by it. It may make more sense
> classify this bug as bugfix for this reason, as there is no new security fix.
> 
> Should I change type of update?

yes, please go ahead

Comment 4 Fedora Update System 2017-03-01 20:31:12 UTC
bind99-9.9.9-4.P6.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d0c9bf9508

Comment 5 Fedora Update System 2017-03-01 20:32:01 UTC
bind99-9.9.9-4.P6.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-96b7f4f53e

Comment 6 Fedora Update System 2017-03-03 04:52:27 UTC
bind99-9.9.9-4.P6.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-96b7f4f53e

Comment 7 Fedora Update System 2017-03-03 05:23:30 UTC
bind99-9.9.9-4.P6.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d0c9bf9508

Comment 8 Fedora Update System 2017-03-05 02:51:09 UTC
bind99-9.9.9-4.P6.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-03-05 20:50:16 UTC
bind99-9.9.9-4.P6.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.